Index: mythvideo/i18n/mythvideo_sv.ts
===================================================================
--- mythvideo/i18n/mythvideo_sv.ts	(revision 19937)
+++ mythvideo/i18n/mythvideo_sv.ts	(working copy)
@@ -1,22 +1,27 @@
-<!DOCTYPE TS><TS>
+<?xml version="1.0" encoding="utf-8"?>
+<!DOCTYPE TS><TS version="1.1" language="sv">
+<defaultcodec></defaultcodec>
 <context>
-    <name>@default</name>
+    <name></name>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="610"/>
         <source>G</source>
         <comment>PL 1 default search string.</comment>
-        <translation type="unfinished">G
+        <translation>G
 
 PL 1  förvald sök sträng.
 </translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="612"/>
         <source>PG</source>
         <comment>PL 2 default search string.</comment>
-        <translation type="unfinished">PG
+        <translation>PG
 
 PL 2 förvald söksträng.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="614"/>
         <source>PG-13</source>
         <comment>PL3 default search string.</comment>
         <translation>PG-13
@@ -24,36 +29,91 @@
 PL3 förvald söksträng</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="616"/>
         <source>R:NC-17</source>
         <comment>PL4 default search string.</comment>
         <translation>R:NC-17
 
 PL4 förvald söksträng</translation>
     </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="104"/>
+        <source>Cover download stopped.</source>
+        <translation>Nerladdning av omslag stoppat.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="156"/>
+        <source>Error writing data to file %1.</source>
+        <translation>Misslyckades skriva data till fil %1.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="163"/>
+        <source>Error: file error &apos;%1&apos; for file %2</source>
+        <translation>Fel: Fil fel  &apos;%1&apos; för fil %2</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/videodlg.cpp" line="253"/>
+        <source>No command to run.</source>
+        <translation>Inget kommando att köra.</translation>
+    </message>
 </context>
 <context>
+    <name>@default</name>
+    <message>
+        <source>G</source>
+        <comment>PL 1 default search string.</comment>
+        <translation type="obsolete">G
+
+PL 1  förvald sök sträng.
+</translation>
+    </message>
+    <message>
+        <source>PG</source>
+        <comment>PL 2 default search string.</comment>
+        <translation type="obsolete">PG
+
+PL 2 förvald söksträng.</translation>
+    </message>
+    <message>
+        <source>PG-13</source>
+        <comment>PL3 default search string.</comment>
+        <translation type="obsolete">PG-13
+
+PL3 förvald söksträng</translation>
+    </message>
+    <message>
+        <source>R:NC-17</source>
+        <comment>PL4 default search string.</comment>
+        <translation type="obsolete">R:NC-17
+
+PL4 förvald söksträng</translation>
+    </message>
+</context>
+<context>
     <name>DVDRipBox</name>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="243"/>
         <source>Your connection to the Myth Transcoding Daemon has gone away. This is not a good thing.</source>
         <translation>Förbindelsen till Myth omkodningsdemon har brutits. Inte bra.</translation>
     </message>
     <message>
         <source>Cannot connect to your Myth Transcoding Daemon. You can try hitting any number key to start it. If you still see this message, then something is really wrong.</source>
-        <translation>Kan ej ansluta till Myth omkodningsdemon. Du kan försöka med att trycka på godtycklig siffertangent för att starta den. Om du ser detta meddelande är något fel.</translation>
+        <translation type="obsolete">Kan ej ansluta till Myth omkodningsdemon. Du kan försöka med att trycka på godtycklig siffertangent för att starta den. Om du ser detta meddelande är något fel.</translation>
     </message>
     <message>
         <source>Attempting to connect to your mtd said host not found. This is unrecoverably bad. </source>
-        <translation>Kunde ej slå upp datornamnet för din omkodningsserver. Inte bra.</translation>
+        <translation type="obsolete">Kunde ej slå upp datornamnet för din omkodningsserver. Inte bra.</translation>
     </message>
     <message>
         <source>Socket communication errors. This is unrecoverably bad. </source>
-        <translation>Kommunikationsfel (eng: Socket communication errors). Inte bra.</translation>
+        <translation type="obsolete">Kommunikationsfel (eng: Socket communication errors). Inte bra.</translation>
     </message>
     <message>
         <source>Something is wrong, but I don&apos;t know what.</source>
-        <translation>Något är fel men jag vet inte riktigt vad.</translation>
+        <translation type="obsolete">Något är fel men jag vet inte riktigt vad.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="451"/>
         <source>Job %1 of %2</source>
         <translation>Jobb %1 av %2</translation>
     </message>
@@ -62,6 +122,7 @@
         <translation type="obsolete">Inga kopieringsjobb och inget annat att göra. Tryck 0 för att kopiera en DVD.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="549"/>
         <source>No Jobs. Checking and/or waiting for DVD.</source>
         <translation>Inga jobb. Kontrollerar/väntar på DVDn.</translation>
     </message>
@@ -70,6 +131,7 @@
         <translation type="obsolete">Inga jobb och inget annat att göra. Du kan trycka 0 för att kopiera en DVD.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="866"/>
         <source>Cancelling ...</source>
         <translation>Avbryter ...</translation>
     </message>
@@ -82,63 +144,102 @@
         <translation type="obsolete">9 Avbryt jobb</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="547"/>
         <source>No jobs and nothing else to do. You could rip a DVD.</source>
         <translation>Inga jobb och inget annat att göra. Du kan rippa en DVD.</translation>
     </message>
     <message>
         <source>No jobs and nothing else to do. You could rip a disc if you like.</source>
-        <translation>Inga jobb och inget annat att göra. Du kan rippa en disk om du vill.</translation>
+        <translation type="obsolete">Inga jobb och inget annat att göra. Du kan rippa en disk om du vill.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="170"/>
         <source>New Rip</source>
         <translation>Ny rip</translation>
     </message>
     <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="171"/>
         <source>Cancel Job</source>
         <translation>Avbryt jobb</translation>
     </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="268"/>
+        <source>Attempting to launch mtd...</source>
+        <translation>Försöker lansera mtd...</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="273"/>
+        <source>Cannot connect to your Myth Transcoding Daemon.</source>
+        <translation>Kan inte skapa förbindelse till Myth omkodningsdemon.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="281"/>
+        <source>Attempting to connect to your mtd said host not found. Unable to recover.</source>
+        <translation>Försök att skapa förbindelse till din mtd sade hittar inte värd. Kan inte återfås.</translation>
+    </message>
+    <message>
+        <location filename="../mythvideo/dvdripbox.cpp" line="286"/>
+        <source>Unknown connection error.</source>
+        <translation>Okänt förbindelsefel.</translation>
+    </message>
 </context>
 <context>
     <name>EditMetadataDialog</name>
     <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="124"/>
         <source>Level %1</source>
         <translation>Nivå %1</translation>
     </message>
     <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="138"/>
         <source>None</source>
         <translation>Inga</translation>
     </message>
     <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="65"/>
         <source>Done</source>
         <translation>Klart</translation>
     </message>
+    <message>
+        <location filename="../mythvideo/editmetadata.cpp" line="225"/>
+        <source>Enter new category</source>
+        <translation>Mata in ny kategori</translation>
+    </message>
 </context>
 <context>
     <name>FileAssocDialog</name>
     <message>
         <source>Please enter the new extension:</source>
-        <translation>Skriv in den nya filändelsen:</translation>
+        <translation type="obsolete">Skriv in den nya filändelsen:</translation>
     </message>
     <message>
         <source>Create new extension</source>
-        <translation>Skapa ny filändelse</translation>
+        <translation type="obsolete">Skapa ny filändelse</translation>
     </message>
     <message>
         <source>Cancel</source>
-        <translation>Avbryt</translation>
+        <translation type="obsolete">Avbryt</translation>
     </message>
     <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="374"/>
         <source>Done</source>
         <translation>Klar</translation>
     </message>
     <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="375"/>
         <source>New</source>
         <translation>Ny</translation>
     </message>
     <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="373"/>
         <source>Delete</source>
         <translation>Radera</translation>
     </message>
+    <message>
+        <location filename="../mythvideo/fileassoc.cpp" line="437"/>
+        <source>Enter the new extension:</source>
+        <translation>Mata in ny filändelse:</translation>
+    </message>
 </context>
 <context>
     <name>QObject</name>
@@ -151,18 +252,22 @@
         <translation type="obsolete">Denna katalog måste finnas och användaren som kör MythVideo måste åtminstone ha läsrättigheter i det.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="18"/>
         <source>Starting Parental Level</source>
         <translation>Startnivå för barnlås</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="19"/>
         <source>4 - Highest</source>
         <translation>4 - Högsta</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="21"/>
         <source>1 - Lowest</source>
         <translation>1 - Lägsta</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="28"/>
         <source>This is the &apos;level&apos; that MythVideo starts at. Any videos with a level at or below this will be shown in the list or while browsing by default. The Parental PIN should be set to limit changing of the default level.</source>
         <translation>Detta är nivån som barnlåset startar på. Filmer som har en nivå lägre än eller lika med denna kommer att visas i listorna medans filer som har en högre nivå kommer att döljas tills rätt PIN-kod har matats in.</translation>
     </message>
@@ -171,72 +276,87 @@
         <translation type="obsolete">PIN-kod för barnlås</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="93"/>
         <source>If set, you will not be able to return to this screen and reset the Parental PIN without first entering the current PIN. You have been warned.</source>
         <translation>Om denna funktion är aktiverad måste PIN-koden matas in för att kunna återvända till denna vy. Du har härmed blivit varnad.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="100"/>
         <source>Show Unknown File Types</source>
         <translation>Visa okända filtyper</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="104"/>
         <source>If set, all files below the Myth Video directory will be displayed unless their extension is explicitly set to be ignored. </source>
         <translation>Visa alla filer som ligger under den tidigare specifierade katalogen såvida inte deras filändelse har satts upp för att ignoreras.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="135"/>
         <source>Video List browses files</source>
         <translation>Videolistvyn visar filer som inte sökts upp i videohanteraren</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="140"/>
         <source>If set, this will cause the Video List screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
         <translation>Videolistvyn visar alla relevanta filer som ligger under den tidigare specifierade katalogen och inte bara de filmer som har sökts upp i videohanteraren.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="752"/>
         <source>Player Settings</source>
         <translation>Inställningar för spelare</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="159"/>
         <source>Newly scanned files are browsable by default</source>
         <translation>Nyscannade filer är bläddringsbara som standard</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="163"/>
         <source>If set, newly scanned files in the Video Manager will be marked as browsable and will appear in the &apos;Browse&apos; menu.</source>
         <translation>Nyscannade filer i Video Manager kommer att markeras som bläddringsbara och kommer att synas i bläddra-menyn.</translation>
     </message>
     <message>
         <source>New category</source>
-        <translation>Ny kategori</translation>
+        <translation type="obsolete">Ny kategori</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="201"/>
         <source>Command to search for movie listings</source>
         <translation>Kommando för att söka efter filmlistor</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="224"/>
         <source>This command must be executable by the user running MythVideo.</source>
         <translation>Detta kommando måste kunna exekveras av användaren som kör MythVideo.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="211"/>
         <source>Command to search for movie posters</source>
         <translation>Kommando för att söka efter filmposters</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="221"/>
         <source>Command to extract data for movies</source>
         <translation>Kommando för att hämta filminformation</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="242"/>
         <source>Directory that holds movie posters</source>
         <translation>Katalog innehållande filmposters</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="257"/>
         <source>This directory must exist, and the user running MythVideo needs to have read/write permission to the directory.</source>
         <translation>Katalogen måste existera och användaren som kör MythVideo måste ha skriv/läs-rättigheter till den.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="708"/>
         <source>Video Manager</source>
         <translation>Videohanterare</translation>
     </message>
     <message>
         <source>Could not retrieve poster</source>
-        <translation>Kunde inte hämta poster</translation>
+        <translation type="obsolete">Kunde inte hämta poster</translation>
     </message>
     <message>
         <source>A movie poster exists for this movie but Myth could not retrieve it within a reasonable amount of time.
@@ -248,44 +368,50 @@
         <translation type="obsolete">Denna PIN-kod används för att låsa upp barnlåset för filmer. Om ingen kod anges kommer barnlåset att vara avslaget. Om du slår på barnlåset är det lättast om bara siffror används.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="88"/>
         <source>Aggressive Parental Control</source>
         <translation>Lås även vy för barnlåskonfigurationen</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="35"/>
         <source>Default View</source>
         <translation>Standardvy</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="36"/>
         <source>Gallery</source>
         <translation>Galleri</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="38"/>
         <source>Browser</source>
         <translation>Bläddrare</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="40"/>
         <source>Listings</source>
         <translation>Listningar</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="271"/>
         <source>This is the command used for any file that the extension is not specifically defined. You may also enter the name of one of the playback plugins such as &apos;Internal&apos;.</source>
         <translation>Detta är standardkommandot för uppspelning av filer. &apos;Internal&apos; använder Myth&apos;s egna uppspelningsmetod.</translation>
     </message>
     <message>
         <source>Rows to display</source>
-        <translation>Rader att visa</translation>
+        <translation type="obsolete">Rader att visa</translation>
     </message>
     <message>
         <source>Columns to display</source>
-        <translation>Kolumner att visa</translation>
+        <translation type="obsolete">Kolumner att visa</translation>
     </message>
     <message>
         <source>Show title below thumbnails</source>
-        <translation>Visa titel under miniatyrbild</translation>
+        <translation type="obsolete">Visa titel under miniatyrbild</translation>
     </message>
     <message>
         <source>If set, the additional text will make the thumbnails smaller.</source>
-        <translation>Om denna funktion aktiveras kommer texten att göra miniatyrbilderna mindre.</translation>
+        <translation type="obsolete">Om denna funktion aktiveras kommer texten att göra miniatyrbilderna mindre.</translation>
     </message>
     <message>
         <source>Maintain aspect ratio of thumbnails</source>
@@ -297,105 +423,128 @@
     </message>
     <message>
         <source>Video Gallery</source>
-        <translation>Videogalleri</translation>
+        <translation type="obsolete">Videogalleri</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="46"/>
         <source>The default view for MythVideo. Other views can be reached via the popup menu available via the MENU key.</source>
         <translation>Standardvy för MythVideo. Andra vyer kan nås genom popup-menyn tillgänglig via MENY-knappen.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="111"/>
         <source>Video Browser browses files</source>
         <translation>Bläddraren visar filer som inte sökts upp i videohanteraren</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="116"/>
         <source>If set, this will cause the Video Browser screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
         <translation>Bläddraren visar alla relevanta filer som ligger under den tidigare specifierade katalogen och inte bara de filmer som har sökts upp i videohanteraren.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="123"/>
         <source>Video Gallery browses files</source>
         <translation>Videogalleriet visar filer som inte sökts upp i videohanteraren</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="128"/>
         <source>If set, this will cause the Video Gallery screen to show all relevant files below the MythVideo starting directory whether they have been scanned or not.</source>
         <translation>Videogalleriet visar alla relevanta filer som ligger under den tidigare specifierade katalogen och inte bara de filmer som har sökts upp i videohanteraren.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="147"/>
         <source>Video List Loads Video Meta Data</source>
         <translation>Videolistvyn laddar videometadata</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="152"/>
         <source>If set along with Browse Files, this will cause the Video List to load any known video metadata from the database. Turning this off can greatly  speed up how long it takes to load the Video List tree</source>
         <translation>Videolistvyn laddar alla kända videometadata från databasen. Att stänga av denna funktion kan minska tiden det tar att ladda videolistvyn väsentligt</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="170"/>
         <source>Sorting ignores case</source>
         <translation>Skiftlägesokänslig sortering</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="173"/>
         <source>If set, case is ignored when sorting entries in a view.</source>
         <translation>Ignorerar skillnad mellan stora och små bokstäver vid sortering i en vy.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="180"/>
         <source>Show folders for database views</source>
         <translation>Visa kataloger i databasvyer</translation>
     </message>
     <message>
+        <location filename="../mythvideo/globalsettings.cpp" line="184"/>
         <source>If set, sub folders of your video directory will be shown in supported views.</source>
         <translation>Visar underkataloger till din videokatalog i de vyer som stödjer detta.</translation>
     </message>
     <message>
         <source>Image cache size</source>
-        <translation>Bildcachestorlek</translation>
+        <translation type="obsolete">Bildcachestorlek</translation>
     </message>
     <message>
         <source>This setting determines the number of images MythVideo will cache for views.</source>
-        <translation>Antal bilder som MythVideo cachar för vyer.</translation>
+        <translation type="obsolete">Antal bilder som MythVideo cachar för vyer.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/metadata.cpp" line="772"/>
         <source>^(The |A |An )</source>
         <translation>^(The |A |An )</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="646"/>
         <source>All</source>
         <translation>Alla</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="85"/>
         <source>Yes</source>
         <translation>Ja</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="85"/>
         <source>No</source>
         <translation>Nej</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="653"/>
         <source>Title</source>
         <translation>Titel</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="655"/>
         <source>Year</source>
         <translation>År</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="657"/>
         <source>User Rating</source>
         <translation>Användarbetyg</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="659"/>
         <source>Runtime</source>
         <translation>Speltid</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="661"/>
         <source>Filename</source>
         <translation>Filnamn</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="663"/>
         <source>Video ID</source>
         <translation>Video-ID</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videofilter.cpp" line="641"/>
         <source>Unknown</source>
         <translation>Okänd</translation>
     </message>
     <message>
+        <location filename="../mythvideo/videoutils.cpp" line="17"/>
         <source>None</source>
         <translation>Inga</translation>
     </message>
@@ -403,11 +552,12 @@
         <source>
 
 You have no VCD Player command defined.</source>
-        <translation>
+        <translation type="obsolete">
 
 Du har inget VCD-uppspelningskommando definierat.</translation>
     </message>
     <message>
+        <location filename="../mythvideo/main.cpp" line="127"/>
         <source>OK, I&apos;ll go run Setup</source>
         <translation>OK, kör Inställningar</translation>
     </message>
